org.gjt.sp.jedit.msg

## Class DockableWindowUpdate

- java.lang.Object
- - org.gjt.sp.jedit.EBMessage
  - - org.gjt.sp.jedit.msg.DockableWindowUpdate

    public class DockableWindowUpdate
    extends EBMessage

Message sent when dockable window state changes.

Since:
  jEdit 4.2pre1

### Field Summary

Fields
`static java.lang.Object` `ACTIVATED` Dockable activated.
`static java.lang.Object` `DEACTIVATED` Dockable deactivated.
`static java.lang.Object` `PROPERTIES_CHANGED` Properties changed.

### Constructor Summary

Constructors
Constructor and Description
`DockableWindowUpdate(DockableWindowManager wm, java.lang.Object what, java.lang.String dockable)` Creates a new dockable window update message.

### Method Summary

Methods
`java.lang.String` `getDockable()` Returns the dockable in question, or null if the message type is `PROPERTIES_CHANGED`.
`java.lang.Object` `getWhat()` Returns what caused this dockable update.
`java.lang.String` `paramString()` Returns a string representation of this message's parameters.

### Methods inherited from class org.gjt.sp.jedit.EBMessage

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PROPERTIES_CHANGED

    public static final java.lang.Object PROPERTIES_CHANGED

Properties changed. Fired instead of global `PropertiesChanged` for improved performance.

Since:
  jEdit 4.2pre1

#### ACTIVATED

    public static final java.lang.Object ACTIVATED

Dockable activated. This is sent when the dockable is made visible.

Since:
  jEdit 4.2pre1

#### DEACTIVATED

    public static final java.lang.Object DEACTIVATED

Dockable deactivated. This is sent when the dockable is hidden.

Since:
  jEdit 4.2pre1

### Constructor Detail

#### DockableWindowUpdate

    public DockableWindowUpdate(DockableWindowManager wm,
                        java.lang.Object what,
                        java.lang.String dockable)

Creates a new dockable window update message.

Parameters:
  `wm` - The dockable window manager
  `what` - What happened
  `dockable` - The dockable window in question

### Method Detail

#### getWhat

    public java.lang.Object getWhat()

Returns what caused this dockable update.

#### getDockable

    public java.lang.String getDockable()

Returns the dockable in question, or null if the message type is `PROPERTIES_CHANGED`.

#### paramString

    public java.lang.String paramString()

Description copied from class: `EBMessage`
Returns a string representation of this message's parameters.

Overrides:
  `paramString` in class `EBMessage`